package de.avatic.taricdb.helper.zip;

public class ByteArrayWrapper {

	private byte[] bytes;

	public ByteArrayWrapper(byte[] bytes) {
		this.bytes = bytes;		
	}
	
	public byte[] getBytes() {
        return bytes;
    }
	
	public ByteArrayWrapper combine(ByteArrayWrapper other) {
		byte[] combined = new byte[bytes.length + other.getBytes().length];
		System.arraycopy(bytes, 0, combined, 0, bytes.length);
		System.arraycopy(other.getBytes(), 0, combined, bytes.length, other.getBytes().length);
		return new ByteArrayWrapper(combined);
	}

}
